Bug 874189 - Swap partition from previous installation cannot be removed from current partitioning
Swap partition from previous installation cannot be removed from current part...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-11-07 11:41 EST by Jan Stodola
Modified: 2013-09-16 05:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 17:02:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
program.log (24.93 KB, text/plain)
2012-11-07 11:43 EST, Jan Stodola
no flags Details
storage.log (153.89 KB, text/plain)
2012-11-07 11:43 EST, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2012-11-07 11:41:51 EST
Description of problem:
When one tries to install F18 on a machine that already has some swap partitions created, anaconda always includes them in new partitioning. When I try to remove that swap from current partitioning, nothing happens.

Version-Release number of selected component (if applicable):
anaconda-18.24

How reproducible:
always

Steps to Reproduce:
1. install system on a machine, create swap partition and leave some free space for new installation
2. start new installation in graphical mode, proceed to custom partitioning
3. create / mount point
4. swap partition from previous installation is automatically added to the new partitioning
5. select that swap and click on "-" to remove it from current partitioning
  
Actual results:
swap partition is still present in current partitioning

Expected results:
swap partition is removed from current partitioning (but not from disk)
Comment 2 Jan Stodola 2012-11-07 11:43:47 EST
Created attachment 640196 [details]
program.log
Comment 3 Jan Stodola 2012-11-07 11:43:59 EST
Created attachment 640197 [details]
storage.log
Comment 5 David Lehman 2012-11-07 17:20:30 EST
Removing preexisting devices from the new install subtree does not actually delete them. To delete a preexisting device, hit the remove button while you have the device highlighted in the unknown or previous install's subtree.
Comment 6 Martin Banas 2012-11-08 02:45:33 EST
I have ubuntu installed, together with Fedora. I'm in ubuntu, now I want to switch to Fedora, so I'll suspend ubuntu to disk (to SWAP). Start fedora. In case of shared swap it doesn't work.

Anaconda should ask whether to use SWAP from preexisting installations or not.
Comment 7 David Shea 2013-09-13 17:02:17 EDT
Booting into another OS after suspending to disk is likely to result in data loss whether you're sharing a swap partition or not.
Comment 8 Martin Banas 2013-09-16 05:11:43 EDT
(In reply to David Shea from comment #7)
> Booting into another OS after suspending to disk is likely to result in data
> loss whether you're sharing a swap partition or not.

Why? Can you share more information? I always supposed, that if I use different partitions (including swap), I should not loose any data.


Btw, you can "not use" any other partition in manual partitioning (e.g. /home), so why anaconda force user to use swap?

Note You need to log in before you can comment on or make changes to this bug.